Quantcast

New hardware / Fedora x86_64 / Canon LiDE 210: "invalid argument"

classic Classic list List threaded Threaded
10 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

New hardware / Fedora x86_64 / Canon LiDE 210: "invalid argument"

Philip Rhoades-2
People,

I have SANE / XSANE working happily for this scanner on my old server
but on a newly built workstation I am getting the error above when
trying:

   scanimage --device-name=genesys:libusb:001:xxx

I attach a 7zipped strace . . it seems there are people who solved
somewhat similar problems with BIOS changes?

Any help appreciated!

Regards,

Phil.
--
Philip Rhoades

PO Box 896
Cowra  NSW  2794
Australia
E-mail:  [hidden email]
--
sane-devel mailing list: [hidden email]
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/sane-devel
Unsubscribe: Send mail with subject "unsubscribe your_password"
             to [hidden email]

strace_scanimage.7z (31K) Download Attachment
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: New hardware / Fedora x86_64 / Canon LiDE 210: "invalid argument"

John Weber
Hi Philip,

I just checked my Fedora22 VM and it uses version 1.0.24 of sane. For my LIDE 220, this problem is fixed in 1.0.25 and later, so I think your problem will be fixed if you install the latest from the sane site. See 


for installation instructions.

John

On Mon, Oct 26, 2015 at 7:11 AM, Philip Rhoades <[hidden email]> wrote:
People,

I have SANE / XSANE working happily for this scanner on my old server but on a newly built workstation I am getting the error above when trying:

  scanimage --device-name=genesys:libusb:001:xxx

I attach a 7zipped strace . . it seems there are people who solved somewhat similar problems with BIOS changes?

Any help appreciated!

Regards,

Phil.
--
Philip Rhoades

PO Box 896
Cowra  NSW  2794
Australia
E-mail:  [hidden email]

--
sane-devel mailing list: [hidden email]
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/sane-devel
Unsubscribe: Send mail with subject "unsubscribe your_password"
             to [hidden email]



--
John Weber
[hidden email]

--
sane-devel mailing list: [hidden email]
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/sane-devel
Unsubscribe: Send mail with subject "unsubscribe your_password"
             to [hidden email]
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: New hardware / Fedora x86_64 / Canon LiDE 210: "invalid argument"

Philip Rhoades-2
John,


On 2015-10-27 01:09, John S. Weber wrote:

> Hi Philip,
>
> I just checked my Fedora22 VM and it uses version 1.0.24 of sane. For
> my LIDE 220, this problem is fixed in 1.0.25 and later, so I think
> your problem will be fixed if you install the latest from the sane
> site. See
>
> http://sane-project.org/README.linux [2]
>
> for installation instructions.


OK!  Thanks for the quick response!  It is not critical for me because I
can continue with the older hardware for a while - any idea how long new
versions take to get into the RPMs?

Thanks,

Phil.


> John
>
> On Mon, Oct 26, 2015 at 7:11 AM, Philip Rhoades <[hidden email]>
> wrote:
>
>> People,
>>
>> I have SANE / XSANE working happily for this scanner on my old
>> server but on a newly built workstation I am getting the error above
>> when trying:
>>
>> scanimage --device-name=genesys:libusb:001:xxx
>>
>> I attach a 7zipped strace . . it seems there are people who solved
>> somewhat similar problems with BIOS changes?
>>
>> Any help appreciated!
>>
>> Regards,
>>
>> Phil.
>> --
>> Philip Rhoades
>>
>> PO Box 896
>> Cowra NSW 2794
>> Australia
>> E-mail: [hidden email]
>> --
>> sane-devel mailing list: [hidden email]
>> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/sane-devel
>> [1]
>> Unsubscribe: Send mail with subject "unsubscribe your_password"
>> to [hidden email]
>
> --
>
> John Weber
> [hidden email]
>
> Links:
> ------
> [1] http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/sane-devel
> [2] http://sane-project.org/README.linux

--
Philip Rhoades

PO Box 896
Cowra  NSW  2794
Australia
E-mail:  [hidden email]

--
sane-devel mailing list: [hidden email]
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/sane-devel
Unsubscribe: Send mail with subject "unsubscribe your_password"
             to [hidden email]
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: New hardware / Fedora x86_64 / Canon LiDE 210: "invalid argument"

John Weber
I don't know when Fedora releases. Check with Fedora. I use Ubuntu (currently 15.10) for my work, and sane-project provides easy updates for Ubuntu, no compiling from source. I use the latest from sane-project because the driver for the LiDE models (genesys) is still being developed and debugged. Ubuntu 15.10 currently ships with 1.0.25+git20150528 and the sane-project is 1.0.26-git20151018.

On Mon, Oct 26, 2015 at 9:14 AM, Philip Rhoades <[hidden email]> wrote:
John,


On 2015-10-27 01:09, John S. Weber wrote:
Hi Philip,

I just checked my Fedora22 VM and it uses version 1.0.24 of sane. For
my LIDE 220, this problem is fixed in 1.0.25 and later, so I think
your problem will be fixed if you install the latest from the sane
site. See

http://sane-project.org/README.linux [2]

for installation instructions.


OK!  Thanks for the quick response!  It is not critical for me because I can continue with the older hardware for a while - any idea how long new versions take to get into the RPMs?

Thanks,

Phil.


John

On Mon, Oct 26, 2015 at 7:11 AM, Philip Rhoades <[hidden email]>
wrote:

People,

I have SANE / XSANE working happily for this scanner on my old
server but on a newly built workstation I am getting the error above
when trying:

scanimage --device-name=genesys:libusb:001:xxx

I attach a 7zipped strace . . it seems there are people who solved
somewhat similar problems with BIOS changes?

Any help appreciated!

Regards,

Phil.
--
Philip Rhoades

PO Box 896
Cowra NSW 2794
Australia
E-mail: [hidden email]
--
sane-devel mailing list: [hidden email]
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/sane-devel
[1]
Unsubscribe: Send mail with subject "unsubscribe your_password"
to [hidden email]

--

John Weber
[hidden email]

Links:
------
[1] http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/sane-devel
[2] http://sane-project.org/README.linux

--
Philip Rhoades

PO Box 896
Cowra  NSW  2794
Australia
E-mail:  [hidden email]



--
John Weber
[hidden email]

--
sane-devel mailing list: [hidden email]
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/sane-devel
Unsubscribe: Send mail with subject "unsubscribe your_password"
             to [hidden email]
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: New hardware / Fedora x86_64 / Canon LiDE 210: "invalid argument"

Olaf Meeuwissen-4

John S. Weber writes:

> I don't know when Fedora releases. Check with Fedora.

Fedora 23 was slated for release for today but got bumped by a week.
That notwithstanding, 23 appears to include sane-backends-1.0.25[1].

 [1] http://dl.fedoraproject.org/pub/fedora/linux/development/23/source/SRPMS/s/

Hope this helps,
--
Olaf Meeuwissen, LPIC-2            FSF Associate Member since 2004-01-27
Support Free Software               Support the Free Software Foundation
https://my.fsf.org/donate                        https://my.fsf.org/join
 GnuPG key: F84A2DD9/B3C0 2F47 EA19 64F4 9F13  F43E B8A4 A88A F84A 2DD9


--
sane-devel mailing list: [hidden email]
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/sane-devel
Unsubscribe: Send mail with subject "unsubscribe your_password"
             to [hidden email]
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: New hardware / Fedora x86_64 / Canon LiDE 210: "invalid argument"

Philip Rhoades-2
Olaf,


On 2015-10-27 21:36, Olaf Meeuwissen wrote:

> John S. Weber writes:
>
>> I don't know when Fedora releases. Check with Fedora.
>
> Fedora 23 was slated for release for today but got bumped by a week.
> That notwithstanding, 23 appears to include sane-backends-1.0.25[1].
>
>  [1]
> http://dl.fedoraproject.org/pub/fedora/linux/development/23/source/SRPMS/s/
>
> Hope this helps,


Excellent! - a good reason to try out fedup again!

Thanks,

Phil.
--
Philip Rhoades

PO Box 896
Cowra  NSW  2794
Australia
E-mail:  [hidden email]

--
sane-devel mailing list: [hidden email]
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/sane-devel
Unsubscribe: Send mail with subject "unsubscribe your_password"
             to [hidden email]
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: New hardware / Fedora x86_64 / Canon LiDE 210: "invalid argument"

John Weber
And Fedora22 updated the sane packages to 1.0.25 yesterday!

John


On Tue, Oct 27, 2015 at 5:42 AM, Philip Rhoades <[hidden email]> wrote:
Olaf,


On 2015-10-27 21:36, Olaf Meeuwissen wrote:
John S. Weber writes:

I don't know when Fedora releases. Check with Fedora.

Fedora 23 was slated for release for today but got bumped by a week.
That notwithstanding, 23 appears to include sane-backends-1.0.25[1].

 [1] http://dl.fedoraproject.org/pub/fedora/linux/development/23/source/SRPMS/s/

Hope this helps,


Excellent! - a good reason to try out fedup again!

Thanks,

Phil.
--
Philip Rhoades

PO Box 896
Cowra  NSW  2794
Australia
E-mail:  [hidden email]



--
John Weber
[hidden email]

--
sane-devel mailing list: [hidden email]
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/sane-devel
Unsubscribe: Send mail with subject "unsubscribe your_password"
             to [hidden email]
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: New hardware / Fedora x86_64 / Canon LiDE 210: "invalid argument"

ryniker (Bugzilla)
>And Fedora22 updated the sane packages to 1.0.25 yesterday!

Also Fedora 21.  Therefore, all supported versions of Fedora now use
1.0.25.

--
sane-devel mailing list: [hidden email]
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/sane-devel
Unsubscribe: Send mail with subject "unsubscribe your_password"
             to [hidden email]
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: New hardware / Fedora x86_64 / Canon LiDE 210: "invalid argument"

Philip Rhoades-2
Richard,


On 2015-10-28 01:13, Richard Ryniker wrote:
>> And Fedora22 updated the sane packages to 1.0.25 yesterday!
>
> Also Fedora 21.  Therefore, all supported versions of Fedora now use
> 1.0.25.


dnf is not updating to that version yet . . 23 should be available any
day now - I think I will just fedup to that when it is available and see
how I go then . .

Thanks,

Phil.
--
Philip Rhoades

PO Box 896
Cowra  NSW  2794
Australia
E-mail:  [hidden email]

--
sane-devel mailing list: [hidden email]
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/sane-devel
Unsubscribe: Send mail with subject "unsubscribe your_password"
             to [hidden email]
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: New hardware / Fedora x86_64 / Canon LiDE 210: "invalid argument" - SOLVED

Philip Rhoades-2
Richard,


On 2015-10-28 21:02, Philip Rhoades wrote:

> Richard,
>
>
> On 2015-10-28 01:13, Richard Ryniker wrote:
>>> And Fedora22 updated the sane packages to 1.0.25 yesterday!
>>
>> Also Fedora 21.  Therefore, all supported versions of Fedora now use
>> 1.0.25.
>
>
> dnf is not updating to that version yet . . 23 should be available any
> day now - I think I will just fedup to that when it is available and
> see how I go then . .


Sorry about the slow response - just to confirm - upgrading to Fedora 23
with v 1.0.25 did, in fact, solve my problem . .

Thanks!

Phil.
--
Philip Rhoades

PO Box 896
Cowra  NSW  2794
Australia
E-mail:  [hidden email]

--
sane-devel mailing list: [hidden email]
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/sane-devel
Unsubscribe: Send mail with subject "unsubscribe your_password"
             to [hidden email]
Loading...